package cn.ezhizao.project.business.order.service;

import cn.ezhizao.project.business.order.domain.*;
import cn.ezhizao.project.business.workOrder.domain.BizWorkOrder;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 档案入库Service接口
 *
 * @author ruoyi
 * @date 2023-10-16
 */
public interface IBizArchiveInputService extends IService<BizArchiveInput> {
    /**
     * 查询档案入库列表
     *
     * @param bizArchiveInput 档案入库
     * @return 档案入库集合
     */
    public List<BizArchiveInput> getList(BizArchiveInput bizArchiveInput);

    /**
     * 物理删除
     *
     * @param bizArchiveInput
     * @return 删除结果
     */
    public int physicalDelete(BizArchiveInput bizArchiveInput);

    boolean verify(BizArchiveInput bizArchiveInput);

    boolean removeBatchByIds(List<Long> ids);

    boolean addLoopTasks(BizWorkOrder workOrder);

    boolean stopLoopTasks(BizWorkOrder workOrder);

    boolean stopWorkOrder(BizArchiveInput bizArchiveInput);

    boolean checkWorkOrderStatusProcess(List<BizArchiveInputDetailProcess> delProcess);

    boolean checkWorkOrderStatus(List<BizArchiveInputDetail> delList);

    boolean checkWorkOrderChangeStatus(List<BizArchiveInputDetail> changeList);
//
//    String importLoop(List<OrderExcelImportLoopModel> orderList, Long userId, long l);
//
//    String importOnce(List<OrderExcelImportOnceModel> orderList, Long userId, long l);

    int removeBinByIds(List<Long> ids);
}
